OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.TextureBufferObject

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBTextureBufferObject :: MonadIO m => m Bool
- gl_ARB_texture_buffer_object :: Bool
- gl_MAX_TEXTURE_BUFFER_SIZE_ARB :: GLenum
- gl_TEXTURE_BINDING_BUFFER_ARB :: GLenum
- gl_TEXTURE_BUFFER_ARB :: GLenum
- gl_TEXTURE_BUFFER_DATA_STORE_BINDING_ARB :: GLenum
- gl_TEXTURE_BUFFER_FORMAT_ARB :: GLenum
- glTexBufferARB :: MonadIO m => GLenum -> GLenum -> GLuint -> m ()

# Extension Support

glGetARBTextureBufferObject :: MonadIO m => m Bool

Is the ARB_texture_buffer_object extension supported?

gl_ARB_texture_buffer_object :: Bool

Is the ARB_texture_buffer_object extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBTextureBufferObject` in those cases instead.

# Enums

gl_MAX_TEXTURE_BUFFER_SIZE_ARB :: GLenum

gl_TEXTURE_BINDING_BUFFER_ARB :: GLenum

gl_TEXTURE_BUFFER_ARB :: GLenum

gl_TEXTURE_BUFFER_DATA_STORE_BINDING_ARB :: GLenum

gl_TEXTURE_BUFFER_FORMAT_ARB :: GLenum

# Functions

glTexBufferARB

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `internalformat`.
-> GLuint | `buffer`.
-> m () |

This command is an alias for `glTexBuffer`.